---
title: Seller Profile
slug: bluecartapi/walmart-product-data-api/parameters/seller-profile
docTags: 
createdAt: 2024-07-27T17:51:31.976Z
---

# Seller Profile Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Seller Profile Parameters are applicable when making a request with  `type=seller_profile`  to retrieve seller profile data for a single seller on Walmart - the seller is specified using either the  `seller_id`  or  `url`  parameter (where the  `url`  parameter contains a link to a Walmart seller page). The parameters should be appended as querystring parameters to the Walmart Product Data API `GET` HTTP request.

Seller Profile data is retrieved from the [seller profile page](https://www.walmart.com/seller/10087) for a single seller on Walmart.

:::hint{type="warning"}
`type=seller_profile` is not supported for `walmart.ca`
:::



![](https://apiimages.imgix.net/bluecartapi/images/png/docs/seller_profile.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Seller Profile Page")

For example, to request seller profile for the Seller ID  `10087`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.bluecartapi.com/request?api_key=demo&type=seller_profile&seller_id=10087
```

```curl
curl -L --get https://api.bluecartapi.com/request \
-d api_key="demo" \
-d type="seller_profile" \
-d seller_id="10087"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "seller_profile",
  seller_id: "10087"
}

// make the http GET request to BlueCart API
axios.get('https://api.bluecartapi.com/request', { params })
  .then(response => {

    // print the JSON response from BlueCart API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'seller_profile',
  'seller_id': '10087'
}

# make the http GET request to BlueCart API
api_result = requests.get('https://api.bluecartapi.com/request', params)

# print the JSON response from BlueCart API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'seller_profile',
  'seller_id' => '10087'
]);

# make the http GET request to BlueCart API
$ch = curl_init(sprintf('%s?%s', 'https://api.bluecartapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from BlueCart API
echo $api_result;

?>
```
:::

***

### Seller Profile Parameters

The following parameters are available for all requests made when  `type=seller_profile`  in addition to the Common Parameters.

| `Parameter` | `Required` | `Description`                                                                                                                                      |
| ----------- | ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| `seller_id` | `optional` | The Walmart Seller ID to retrieve seller data for.  <br />**Note** : If the `seller_id` parameter is supplied then the `url` parameter is ignored. |
| `url`       | `optional` | The Walmart seller-profile page URL to retrieve the seller profile from.                                                                           |

***

**Next Steps**
     [Seller Profile Results](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/results/seller-profile)
